Summary:    DSSI implementation of Fluidsynth
Name:       fluidsynth-dssi
Version:    0.9.1
Release:    7%{?dist}
License:    GPL
Group:      Applications/Multimedia
URL:        http://dssi.sourceforge.net/download.html#FluidSynth-DSSI
Source0:    http://download.sf.net/dssi/fluidsynth-dssi-0.9.1.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   dssi

BuildRequires: dssi-devel fluidsynth-devel gtk2-devel

%description
This is an implementation of the FluidSynth soundfont-playing software
synthesizer as a DSSI plugin. It makes use of DSSI's
run_multiple_synths() interface to allow sharing of resources between
multiple plugin instances -- soundfont data is shared between
instances, and FluidSynth's usual voice allocation methods are applied
across multiple instances as if each were a FluidSynth channel.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
rm $RPM_BUILD_ROOT%{_libdir}/dssi/fluidsynth-dssi.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README TODO COPYING
%{_libdir}/dssi/fluidsynth-dssi*

%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.1-7
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Anthony Green <green@redhat.com> 0.9.1-6
- Fix release tag.

* Mon Sep 18 2006 Anthony Green <green@redhat.com> 0.9.1-5.1
- Rebuild.

* Sat Sep 16 2006 Anthony Green <green@redhat.com> 0.9.1-5
- Cleaned up BuildRequires.

* Sat Sep 16 2006 Anthony Green <green@redhat.com> 0.9.1-4
- Don't create fluidsynth-dssi symlink.
- Don't install .desktop file.
- Don't use %%makeinstall.
- Install COPYING.
- Fix License.
- Clean up Requires.
- Don't install libtool .la file.

* Mon Sep  4 2006 Anthony Green <green@redhat.com> 0.9.1-3
- Tweak fluidsynth-dssi symlink creation.
- Add parallel build flags to make.
- Fix BuildRequires.

* Sat May 13 2006 Anthony Green <green@redhat.com> 0.9.1-2
- Build for Fedora Extras.

* Fri May  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- first build of fluidsynth-dssi as a separate package
